WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.

Secure Image Protection

Copy protect images. Insert encrypted images with Domain Lock copy protected from right-click mouse-save, page-save, drag-n-drop and site grabbers.

1.9

  • Tested for comptibility with WP 4.6.

1.8

  • Removed Uploadify so that uploads now use WP upload functions.

1.7

  • Detection update for Windows 10.

1.6

  • Added selection for the ASPS web browser.

1.5

  • ArtistScopeViewer.jar codesigned for 2015-2018.

1.4

  • Tested for comptibility with WP 4.2.

1.3

  • tested for comptibility with WP 4.1.

1.2

  • Fixed bug found with some webhosts with limited support.

1.1

  • Tested and verified on WordPress version 4.0
  • Corrected upload form layout.

1.0

  • Tested and verified on WordPress version 3.9.2
  • Added alternative user check in case session logging not supported by webhost.
  • Added settings option to allow uploads by admin only.
  • Upload will progress only on same host IP.
  • Referrer user agent must be Shockwave Flash
  • Referrer url must match with the same script name.
  • Save settings page options altered for show in smaller screens.
  • No need to click "Insert File to editor" button after Save button clicked.

0.9

  • Improved security to prevent remote execution.
  • Simplified Java check. and redirection for download.

0.8

  • Fixed security flaw in upload function.
  • Tested and aproved for WordPress 3.9.

0.7

  • Updated applet JAR file to comply with new browser security.
  • Addedd new applet parameter for "permissions".

0.6

  • Added detection for Windows 8.1

0.5

  • Removed dependency on wp-load.php

0.4

  • Updated to support JQuery 1.8.

0.3

  • Added Netscape Navigator browser option in default settings.
  • Fixed bug with progress bar diisplayed when uploading.

0.2

  • Added parameters to shorcode for editing of existing image inserts.
  • Same images can be used on multiple posts with unique settings.
  • Revised default settings options.
  • Revised functions to comply with CodePlex recommendations.

0.1

  • First release.

Requires: 4.0 or higher
Compatible up to: 4.6.2
Last Updated: 4 months ago
Active Installs: 400+

Ratings

1.8 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,2,2